#!/bin/bash

# Set variables
IMAGE_NAME="ai-frame-image-server"
REGISTRY="kithub.k-world.me.uk"
USERNAME="karl"
TAG="latest"
FULL_IMAGE="$REGISTRY/$USERNAME/$IMAGE_NAME:$TAG"

# Build the image
echo "🛠️  Building Docker image..."
docker build -t $IMAGE_NAME .

# Tag the image
echo "🏷️  Tagging image as $FULL_IMAGE"
docker tag $IMAGE_NAME $FULL_IMAGE

# Push the image
echo "📤  Pushing $FULL_IMAGE to $REGISTRY..."
docker push $FULL_IMAGE

echo "✅ Done!"
